#
# spec file for package isapnp (Version 1.26)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         isapnp
Copyright:    GNU
Group:        Utilities/System
Autoreqprov:  on
Version:      1.26
Release:      37
Summary:      ISA plug and play configuration utility
Source: isapnptools-%{version}.tar.bz2
Patch: isapnptools-%{version}.dif

%description
Two programs - one allows the dumping of resource data and generation
of a skeleton configuration file, the other configures ISA PnP hardware
using a configuration file.
More Info: /usr/share/doc/packages/isapnp/README.SuSE

Authors:
--------
    Peter Fox <fox@roestock.demon.co.uk>

SuSE series: ap

%prep
%setup -n isapnptools-%{version}
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --mandir=%{_mandir} --prefix=/ --includedir=/usr/include --libdir=/usr/lib
make all

%install
make install
install -m 0644 rc.config.isapnp /var/adm/fillup-templates/

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.isapnp
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.isapnp and "
  echo "update by hand."
fi

%files
/sbin/isapnp
/sbin/pnpdump
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.SuSE
%doc doc/isapnpfaq.txt
%doc %{_mandir}/man5/isapnp.conf.5.gz
%doc %{_mandir}/man8/isapnp.8.gz
%doc %{_mandir}/man8/pnpdump.8.gz
/var/adm/fillup-templates/rc.config.isapnp
/usr/include/isapnp
/usr/lib/libisapnp.a

%changelog -n isapnp
* Tue Jul 24 2001 - uli@suse.de
- update -> 1.26
* Fri Mar 30 2001 - uli@suse.de
- fixed to build on PPC
* Fri Nov 24 2000 - uli@suse.de
- fixed to build on PPC
* Thu Feb 24 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
- Add rc.config variable from aaa_base
- Remove Makefile.Linux
* Fri Feb 11 2000 - uli@suse.de
- now builds on PPC
- successfully tested on PReP architecture! (should also work on CHRP)
* Mon Jan 03 2000 - uli@suse.de
- update -> 1.21
* Tue Oct 26 1999 - uli@suse.de
- update -> 1.19
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 17 1999 - uli@suse.de
- fixed README.SuSE
* Thu Mar 04 1999 - uli@suse.de
- update 1.17 -> 1.18
- removed *.orig files
* Mon Dec 07 1998 - uli@suse.de
- fixed version no. in spec file
* Mon Nov 16 1998 - uli@suse.de
- update 1.10 -> 1.17
* Thu Jun 19 1997 - rj@suse.de
- new version 1.10
* Mon Mar 24 1997 - kfr@suse.de
- added /sbin/init.d/pnp an links in runlevel 1-3
* Sun Feb 09 1997 - kfr@suse.de
- new version: 1.9
- new: man-pages
- /sbin/init.d/pnp added (linked as S01pnp in runlevel 1, 2, 3)
- /usr/doc/packages/isapnp/README.SuSE added
